{% extends 'layout.html' %} 


{% block body %}

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>

<!-- H E R O -->
  <section id="hero">
    <div class="container">
      <div class="row">
        <div class="col-md-12 content-box hero-content">
          <h2>Model Machine Learning</h2>
        </div>
      </div>

      <div class="row">
        <div class="col-md-7 content-box hero-content">
            <span>YOLO 5</span>
            <h3>Model untuk Deteksi Object</h3>
            <img src="/static/model/weights/best.onnx.png" width="100%">
        </div>
        <div class="col-md-5 content-box hero-content">
            <span>Keras v 2.10, Tensorflow</span>
            <h3>Model untuk Pengenalan Karakter</h3>
            <img src="/static/model/char_recognition/plate_recognition_model_2022-12-10-173722.h5.png">
        </div>
      </div>
{% if upload %}
      <div class="row">
        <div class="col-md-6 content-box hero-content text-center bg-info">
          <h5><b>Foto Original</b></h5>
        </div>
        <div class="col-md-6 content-box hero-content text-center bg-info">
          <h5><b>Hasil Deteksi</b></h5>
        </div>
      </div>
      <div class="row">
         <div class="col-md-6 content-box  border bg-white">
          <div class="img-fluid rounded mx-auto d-block">
            <img src="/static/foto_upload/{{upload_image}}" class="rounded mx-auto d-block" alt="Foto Original" height="300">
          </div>
        </div>
        <div class="col-md-6 content-box  border bg-white">
          <div class="img-fluid">
            <img src="/static/hasil_prediksi/obj_detection/{{upload_image}}" class="rounded mx-auto d-block" alt="Plat kendaraan" height="300">
          </div>          
        </div>
      </div>

      <div class="row">
        <div class="col-md-6 content-box hero-content text-center bg-info">
          <h5><b>Hasil Proses Image</b></h5>
        </div>
        <div class="col-md-6 content-box hero-content text-center bg-info">
          <h5><b>Hasil Pembacaan Karakter</b></h5>
        </div>
      </div>


      <div class="row">
        <div class="col-md-6 content-box  border bg-white">
         <div class="img-fluid rounded mx-auto d-block bg-white text-center">
          <h5>1. Croping TNKB </5>
           <img src="/static/hasil_prediksi/tnkb/{{upload_image}}" class="rounded mx-auto d-block" alt="Foto Original" width="350">
           <br>
           <h5>2. Konversi Binary Image </h5>
           <img src="/static/hasil_prediksi/countur/{{upload_image}}" class="rounded mx-auto d-block" alt="Countur" width="350">
           <br>
           <h5>3. Segmentasi Karakter</5>
           <img src="/static/hasil_prediksi/segmentasi/{{upload_image}}" class="rounded mx-auto d-block" alt="Segmentasi" width="350">
           <h5>4. Image Karakter</5>
           
 
          </div>
       </div>
       <div class="col-md-6 content-box  border bg-white">
         <div class="img-fluid">
          
          <table>
            <tr>
            {%for i in images_char%}
                <td class="p-2"><img src="{{i}}" class="rounded mx-auto d-block" width="35"></td>
            {%endfor%}
            </tr>
            <tr>
              {%for c in prediksi_plat_number%}
                <td class="fs-5 fw-bold text-center">{{c}}</td>
              {%endfor%}
            </tr>

          </table>
          <br>
          <hr>

            <table>
              <tr>
                <td><h5>Nomor Pelat</h5></td>
                <td>
                  <h5>: 
                    {%for c in prediksi_plat_number:%}
                      {{c}}
                    {%endfor%}
                  </h5>
                </td>
              </tr>              
              <tr>
                <td><h5>Confiden Level</h5></td>
                <td><h5>: {{conf_level}} %</h5></td>
              </tr>
              <tr>
                <td><h5>Asal Kendaraan</h5></td>
                <td><h5>: Propinsi Yogyakarta</h5></td>
              </tr>
            </table>
         </div>          
       </div>

{% endif %}

    </div>
  </section>
  <!-- E N D  H E R O -->


  {% endblock %}